LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::i18n::KNumberFormatUsage Constant Group Referencepublished

Category of number format code. More...

## Variables
const short | DATE = 1
| Date format, for example, "YYYY-MM-DD".
const short | TIME = 2
| Time format, for example, "HH:MM:SS".
const short | DATE_TIME = 3
| Mixed date/time format, for example, "YYYY-MM-DD HH:MM:SS".
const short | FIXED_NUMBER = 4
| Numeric format, for example, "#,##0.00".
const short | FRACTION_NUMBER = 5
| Fractional format, for example, "# ??/??".
const short | PERCENT_NUMBER = 6
| Percent format, for example, "0.00%".
const short | SCIENTIFIC_NUMBER = 7
| Scientific format, for example, "0.00E+00".
const short | CURRENCY = 8
| Currency format, for example, "#,##0.00 [$EUR]".

## Detailed Description

Category of number format code.

## Variable Documentation

## ◆ CURRENCY

const short CURRENCY = 8

Currency format, for example, "#,##0.00 [$EUR]".

## ◆ DATE

const short DATE = 1

Date format, for example, "YYYY-MM-DD".

## ◆ DATE_TIME

const short DATE_TIME = 3

Mixed date/time format, for example, "YYYY-MM-DD HH:MM:SS".

## ◆ FIXED_NUMBER

const short FIXED_NUMBER = 4

Numeric format, for example, "#,##0.00".

## ◆ FRACTION_NUMBER

const short FRACTION_NUMBER = 5

Fractional format, for example, "# ??/??".

## ◆ PERCENT_NUMBER

const short PERCENT_NUMBER = 6

Percent format, for example, "0.00%".

## ◆ SCIENTIFIC_NUMBER

const short SCIENTIFIC_NUMBER = 7

Scientific format, for example, "0.00E+00".

## ◆ TIME

const short TIME = 2

Time format, for example, "HH:MM:SS".